mp3splt-gtk: gui_status Struct Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
gui_status Struct Reference
Collaboration diagram for gui_status:
[legend]

## Data Fields
gboolean | button1_pressed
gboolean | button2_pressed
gint | button_x
gint | button_x2
gint | button_y
gint | button_y2
gboolean | change_volume
gboolean | check_splitpoint
gchar | current_description [255]
gint | currently_compute_douglas_peucker_filters
gint | currently_scanning_for_silence
gint | douglas_callback_counter
gint | file_browsed
gint | file_selection_changed
gchar * | filename_to_split
gint | first_splitpoint_selected
gint | lock_cue_export
gint | mouse_on_progress_bar
gboolean | move_splitpoints
gfloat | move_time
gboolean | on_the_volume_button
gint | only_press_pause
gboolean | playing
gint | preview_row
gint | preview_start_position
gint | preview_start_splitpoint
gint | previous_interpolation_level
gfloat | previous_zoom_coeff
gint | process_in_progress
gboolean | quick_preview
gint | quick_preview_end_splitpoint
gboolean | remove_splitpoints
gboolean | select_splitpoints
gint | selected_split_mode
gint | show_silence_wave
gint | spin_hundr_secs
gint | spin_mins
gint | spin_secs
gint | splitpoint_to_move
gint | splitting
gboolean | stop_preview_right_after_start
gint | stop_split
gboolean | stream
gint | timeout_id
gboolean | timer_active

## Detailed Description

Definition at line 439 of file ui_types.h.

## Field Documentation

## ◆ button1_pressed

gboolean gui_status::button1_pressed

Definition at line 454 of file ui_types.h.

## ◆ button2_pressed

gboolean gui_status::button2_pressed

Definition at line 455 of file ui_types.h.

## ◆ button_x

gint gui_status::button_x

Definition at line 458 of file ui_types.h.

## ◆ button_x2

gint gui_status::button_x2

Definition at line 460 of file ui_types.h.

## ◆ button_y

gint gui_status::button_y

Definition at line 459 of file ui_types.h.

## ◆ button_y2

gint gui_status::button_y2

Definition at line 461 of file ui_types.h.

## ◆ change_volume

gboolean gui_status::change_volume

Definition at line 491 of file ui_types.h.

## ◆ check_splitpoint

gboolean gui_status::check_splitpoint

Definition at line 467 of file ui_types.h.

## ◆ current_description

gchar gui_status::current_description[255]

Definition at line 475 of file ui_types.h.

## ◆ currently_compute_douglas_peucker_filters

gint gui_status::currently_compute_douglas_peucker_filters

Definition at line 443 of file ui_types.h.

## ◆ currently_scanning_for_silence

gint gui_status::currently_scanning_for_silence

Definition at line 481 of file ui_types.h.

## ◆ douglas_callback_counter

gint gui_status::douglas_callback_counter

Definition at line 485 of file ui_types.h.

## ◆ file_browsed

gint gui_status::file_browsed

Definition at line 493 of file ui_types.h.

## ◆ file_selection_changed

gint gui_status::file_selection_changed

Definition at line 497 of file ui_types.h.

## ◆ filename_to_split

gchar* gui_status::filename_to_split

Definition at line 483 of file ui_types.h.

## ◆ first_splitpoint_selected

gint gui_status::first_splitpoint_selected

Definition at line 469 of file ui_types.h.

## ◆ lock_cue_export

gint gui_status::lock_cue_export

Definition at line 504 of file ui_types.h.

## ◆ mouse_on_progress_bar

gint gui_status::mouse_on_progress_bar

Definition at line 442 of file ui_types.h.

## ◆ move_splitpoints

gboolean gui_status::move_splitpoints

Definition at line 463 of file ui_types.h.

## ◆ move_time

gfloat gui_status::move_time

Definition at line 452 of file ui_types.h.

## ◆ on_the_volume_button

gboolean gui_status::on_the_volume_button

Definition at line 492 of file ui_types.h.

## ◆ only_press_pause

gint gui_status::only_press_pause

Definition at line 489 of file ui_types.h.

## ◆ playing

gboolean gui_status::playing

Definition at line 445 of file ui_types.h.

## ◆ preview_row

gint gui_status::preview_row

Definition at line 494 of file ui_types.h.

## ◆ preview_start_position

gint gui_status::preview_start_position

Definition at line 477 of file ui_types.h.

## ◆ preview_start_splitpoint

gint gui_status::preview_start_splitpoint

Definition at line 449 of file ui_types.h.

## ◆ previous_interpolation_level

gint gui_status::previous_interpolation_level

Definition at line 502 of file ui_types.h.

## ◆ previous_zoom_coeff

gfloat gui_status::previous_zoom_coeff

Definition at line 501 of file ui_types.h.

## ◆ process_in_progress

gint gui_status::process_in_progress

Definition at line 441 of file ui_types.h.

## ◆ quick_preview

gboolean gui_status::quick_preview

Definition at line 456 of file ui_types.h.

## ◆ quick_preview_end_splitpoint

gint gui_status::quick_preview_end_splitpoint

Definition at line 448 of file ui_types.h.

## ◆ remove_splitpoints

gboolean gui_status::remove_splitpoints

Definition at line 465 of file ui_types.h.

## ◆ select_splitpoints

gboolean gui_status::select_splitpoints

Definition at line 466 of file ui_types.h.

## ◆ selected_split_mode

gint gui_status::selected_split_mode

Definition at line 495 of file ui_types.h.

## ◆ show_silence_wave

gint gui_status::show_silence_wave

Definition at line 444 of file ui_types.h.

## ◆ spin_hundr_secs

gint gui_status::spin_hundr_secs

Definition at line 473 of file ui_types.h.

## ◆ spin_mins

gint gui_status::spin_mins

Definition at line 471 of file ui_types.h.

## ◆ spin_secs

gint gui_status::spin_secs

Definition at line 472 of file ui_types.h.

## ◆ splitpoint_to_move

gint gui_status::splitpoint_to_move

Definition at line 464 of file ui_types.h.

## ◆ splitting

gint gui_status::splitting

Definition at line 440 of file ui_types.h.

## ◆ stop_preview_right_after_start

gboolean gui_status::stop_preview_right_after_start

Definition at line 450 of file ui_types.h.

## ◆ stop_split

gint gui_status::stop_split

Definition at line 499 of file ui_types.h.

## ◆ stream

gboolean gui_status::stream

Definition at line 487 of file ui_types.h.

## ◆ timeout_id

gint gui_status::timeout_id

Definition at line 479 of file ui_types.h.

## ◆ timer_active

gboolean gui_status::timer_active

Definition at line 446 of file ui_types.h.

The documentation for this struct was generated from the following file:

- src/ui_types.h